package com.zcloud.modules.sys.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.sys.entity.BusNoticeEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * @Author chenxinying
 * @Desc (BusNotice)表服务接口
 * @Date 2024-03-28 16:29:56
 */
public interface BusNoticeService extends IService<BusNoticeEntity> {

    //保存
    void saveNotice(BusNoticeEntity param);

    BusNoticeEntity queryByFlexibleParams(String paramName, Object paramValue);

	List<BusNoticeEntity> queryListByFlexibleParams(String paramName, Object paramValue);
    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(String noticeId,String userId);


}
